/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: smtp_after_pop.c,v 1.8 2001/03/22 12:19:08 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2001  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#if HAVE_CONFIG_H
# include <config.h>
#endif

#include "popular.h"


/*****************************************************************************

  smtp_after_pop_hook()

  This function is called after a user is successfully authorised. The two
  arguments are the IP number and the user name. This function is intended
  to be used with SMTP after POP setups. You can put some code in here to
  tell the MTA from which IP numbers it should allow relaying.

*****************************************************************************/
void
smtp_after_pop_hook(const char *peer, const char* user)
{
#if 0
  xlog_printf(xlog_dbg, 0x0000, "smtp_after_pop_hook(): peer='%s' user='%s'", peer, user);
#endif
}


/** THE END *****************************************************************/
