/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: t_util_search_string.c,v 1.1 2001/04/19 15:23:45 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2001  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#if HAVE_CONFIG_H
# include <config.h>
#endif

#include "../src/popular.h"

static char teststring[] = "abcd efgh ijkl abcd mnop";

void
search_for(char *s, int n)
{
  char *p = search_string(teststring, s, n);

  if (p) {
    printf("found '%s' at position %d of %d chars\n", s, p-teststring, n);
  } else {
    printf("did not find '%s' within %d chars\n", s, n);
  }
}


int
main(int argc, char *argv[])
{
  printf("Searching in '%s'\n", teststring);

  search_for("abc", 10);	/* should be: pos 0 */
  search_for("xyz", 10);	/* should be: failure */
  search_for("cd", 10);		/* should be: pos 2 */
  search_for("d e", 10);	/* should be: pos 3 */
  search_for("d e", 5);		/* should be: failure */
  search_for("d e", 6);		/* should be: pos 3 */

  return 0;
}


/** THE END *****************************************************************/
